function [ cleDrawDat ] = cleGroup(varargin)
%cleGroup    - Group cleDrawDat structures.
%
%   cleDrawDat = cleGroup(cleDrawDat, cleDrawDat, ...)


cleDrawDat=cleEmpty();

for n=1:length(varargin)
 
 if (~isstruct(varargin{n}) & ~isempty(varargin{n}))
    error('CleWin:cleGroup:InputError', ...
          'Incorrect input parameter(s).');
 end;

 if ~isempty(varargin{n}) 

  %------------------------------------------------------------
  for m=1:length(varargin{n}.cleCircle),
   cleDrawDat.cleCircle{end+1}=varargin{n}.cleCircle{m};
  end;
  %------------------------------------------------------------

  %------------------------------------------------------------
  for m=1:length(varargin{n}.cleBox),
   cleDrawDat.cleBox{end+1}=varargin{n}.cleBox{m};
  end;
  %------------------------------------------------------------

  %------------------------------------------------------------
  for m=1:length(varargin{n}.clePolygon),
   cleDrawDat.clePolygon{end+1}=varargin{n}.clePolygon{m};
  end;
  %------------------------------------------------------------

  %------------------------------------------------------------
  for m=1:length(varargin{n}.cleWire),
   cleDrawDat.cleWire{end+1}=varargin{n}.cleWire{m}; 
  end;
  %------------------------------------------------------------

  %------------------------------------------------------------
  for m=1:length(varargin{n}.cleRing),
   cleDrawDat.cleRing{end+1}=varargin{n}.cleRing{m};
  end;
  %------------------------------------------------------------

  %------------------------------------------------------------
  for m=1:length(varargin{n}.cleText),
   cleDrawDat.cleText{end+1}=varargin{n}.cleText{m};
  end;
  %------------------------------------------------------------

  %------------------------------------------------------------
  for m=1:length(varargin{n}.cleSymbol),
   cleDrawDat.cleSymbol{end+1}=varargin{n}.cleSymbol{m};
  end;
  %------------------------------------------------------------
 end;
end;

%------------------------------------------------------------
if nargout < 1,
 cleDraw(cleDrawDat)
end;



